/**
 * Emulates the bootstrap alert boxes
 */
import { Theme } from "@material-ui/core";
import React from "react";
import { BootstrapColor } from "./bootstrapColors";
export declare function bootstrapAlertStyles(color: BootstrapColor, theme: Theme): {
    borderColor: string;
    backgroundColor: string;
    headerColor: string;
};
export interface AlertProps {
    children: React.ReactNode;
    color?: BootstrapColor;
    show?: boolean;
    onClose?: () => void;
    dismissible?: boolean;
    maxWidth?: "xs" | "sm" | "md" | "lg" | "xl" | false;
}
export declare function Alert(props: AlertProps): JSX.Element;
export declare namespace Alert {
    var Heading: (props: AlertHeadingProps) => JSX.Element;
}
export interface AlertHeadingProps {
    children: React.ReactNode;
    icon?: React.ReactNode;
}
